import fetch from "@/utils/fetch";
// 插件节点保存
export const save = data => fetch("/rest/develop/pluginParam/creating", data, "POST", true);
// 插件配置回填
export const queryBack = data => fetch("/rest/develop/pluginParam/byCondition", data, "POST");

// 获取本系统下所有bpm流程
export const getBpmWorkflow = data => fetch("/rest/bpm/workflowType/getWorkflowTree", data, "GET");
// 获取所有服务
export const getAllRestful = data => fetch("/rest/develop/apiRestful/getRestfulTree", data, "GET");
//获取可导入表
export const getTable = data => fetch("/rest/sgw/d2aTable/byCondition", data, "POST");
//业务表选择查询对应表下字段
export const checkField = data => fetch("/rest/sgw/d2aFields/byCondition", data, "POST");

// 获取javaModule方法
export const getJarTree = data =>
  fetch("/rest/console/repomoduletyperestserver/jarTree", data, "GET");
//获取数据库下拉
export const getDb = data => fetch("/rest/sgw/d2aDataBase/byCondition", data, "POST");
//获取dbId
export const getDbId = data => fetch(`/rest/sgw/d2aTableRestful/${data.id}`, data, "GET");

//获取规则分类
export const findRuleType = data =>
  fetch("/rest/console/repomoduletyperestserver/byCondition", data, "POST");
export const findRule = data => fetch("/rest/develop/ruleScript/byCondition", data, "POST");
